Subject: Re: VM_Allocate on NeXT driving me NUTS!

From: [email-masked] (C. Regis Wilson)
Date: Mon, 19 Oct 1992 12:26:54 -0700

>I'm running the 1.6.11 server on a NeXT 68040 slab. It has 80MB drive 

>free and a 20mb swap file. The server has a 1.2MB database. On both .11
>and .1 after a period of time the server will panic with a
>VM_ALLOCATE error from the system. This is generally after a memory
>request is made and in this case, generally large although the size may
>not be key. In all cases, the full database is never dumped causing me
>to lose many hours (checkpointing is at 5am-6am).
>
I have also been plagued with this problem.  I've tried lots of things,
and I think it can be solved by setting the hiwat variable in
/etc/swaptab.  Perhaps, if the variable is not set, it defaults to a
small value?  Setting it to 0 will allow you as much vm as you have space
on disk.  Here is my swaptab.  However, an 80Mb drive may not be enough. 

#
#	/etc/swaptab
#
/private/vm/swapfile	lowat=20000000	hiwat=60000000

---

---------
T. Pascal, King of Pascal          | "He travels fastest who travels alone,
1600 Campus Road, Box 829          | but not when the frost drops below zero
Los Angeles, CA 90041              | fifty degrees or more."
                                   |         -Old eskimo saying
       t_pascal@{{{cub,cheetah,jaguar}.math},tiger,cheshire}.oxy.edu